summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMart Raudsepp <leio@gentoo.org>2010-01-15 17:03:31 +0200
committerMart Raudsepp <leio@gentoo.org>2010-01-15 17:03:31 +0200
commit43ecc5fe34f11addd083d36cef2d84e75b5f4af6 (patch)
treea98f014767047210cc2875d884349cb7266a284c /dev-libs
parentInitial ebuild for OProfileUI. (diff)
downloadleio-43ecc5fe34f11addd083d36cef2d84e75b5f4af6.tar.gz
leio-43ecc5fe34f11addd083d36cef2d84e75b5f4af6.tar.bz2
leio-43ecc5fe34f11addd083d36cef2d84e75b5f4af6.zip
Add a rough DirectFB-extra-1.2.0_rc1 ebuild
This is based on the 1.1.0 ebuild that was once found in gentoo-x86 official tree, but p.masked due to not working against newer ffmpeg and DirectFB and eventually removed. I need it just for its xine VideoProvider implementation, so this ebuild here is just for that purpose right now.
Diffstat (limited to 'dev-libs')
-rw-r--r--dev-libs/DirectFB-extra/DirectFB-extra-1.2.0_rc1.ebuild63
-rw-r--r--dev-libs/DirectFB-extra/Manifest3
-rw-r--r--dev-libs/DirectFB-extra/files/DirectFB-extra-1.0.0-CFLAGS.patch23
3 files changed, 89 insertions, 0 deletions
diff --git a/dev-libs/DirectFB-extra/DirectFB-extra-1.2.0_rc1.ebuild b/dev-libs/DirectFB-extra/DirectFB-extra-1.2.0_rc1.ebuild
new file mode 100644
index 0000000..fa1f107
--- /dev/null
+++ b/dev-libs/DirectFB-extra/DirectFB-extra-1.2.0_rc1.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils
+
+MY_PV="${PV/_rc/-rc}"
+MY_P="${PN}-${MY_PV}"
+
+DESCRIPTION="Extra image/video/font providers and graphics/input drivers for DirectFB"
+HOMEPAGE="http://www.directfb.org/"
+SRC_URI="http://directfb.org/downloads/Extras/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc -sparc ~x86"
+IUSE="ffmpeg flash fusion imlib mmx mpeg quicktime svg xine zlib"
+
+# FIXME: 1.2.0_rc1 added a mpeg2 image provider
+RDEPEND=">=dev-libs/DirectFB-1.2.0
+ ffmpeg? ( media-video/ffmpeg )
+ flash? ( media-libs/libflash )
+ fusion? ( dev-libs/linux-fusion )
+ imlib? ( media-libs/imlib2 )
+ mpeg? ( media-libs/libmpeg3 )
+ quicktime? ( virtual/quicktime )
+ svg? ( x11-libs/libsvg-cairo )
+ xine? ( media-libs/xine-lib )
+ zlib? ( sys-libs/zlib )"
+# avi? ( media-video/avifile )
+DEPEND="${RDEPEND}
+ dev-util/pkgconfig"
+
+S="${WORKDIR}/${MY_P}"
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ epatch "${FILESDIR}"/${PN}-1.0.0-CFLAGS.patch
+}
+
+src_compile() {
+ # $(use_enable avi avifile)
+ econf \
+ $(use_enable ffmpeg) \
+ $(use_enable flash) \
+ $(use_enable fusion fusionsound) \
+ $(use_enable imlib imlib2) \
+ $(use_enable mmx) \
+ $(use_enable mpeg libmpeg3) \
+ $(use_enable quicktime openquicktime) \
+ $(use_enable svg) \
+ $(use_enable xine) \
+ $(use_enable zlib) \
+ --disable-avifile \
+ || die
+ emake || die "emake failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "make install failed"
+ dodoc AUTHORS ChangeLog NEWS README
+}
diff --git a/dev-libs/DirectFB-extra/Manifest b/dev-libs/DirectFB-extra/Manifest
new file mode 100644
index 0000000..4dd8b49
--- /dev/null
+++ b/dev-libs/DirectFB-extra/Manifest
@@ -0,0 +1,3 @@
+AUX DirectFB-extra-1.0.0-CFLAGS.patch 471 RMD160 da9cc138720e79df0d2df489c397537045e98577 SHA1 7fde4f19c58eb4ab47ac1e06ff5ce7e4c8cbc52e SHA256 a624ec638a79b42b105b494f49facdbc4af9d3926722d22ce18917f6d43bda64
+DIST DirectFB-extra-1.2.0-rc1.tar.gz 569651 RMD160 a77d5b94ca60081f2e7ce0060f0d1a68de904f2d SHA1 b9070a4431ff13bc55bb5e7dd2a859ffdce07297 SHA256 f562b59fbc63246c2b319cdca048ce3f85c96c42f40f3cf27ec1a97962bcd2c0
+EBUILD DirectFB-extra-1.2.0_rc1.ebuild 1558 RMD160 84a360ebf24c1b4374a1d929f3d3de7ae6f115f3 SHA1 43697edf15087028b74f1dc199a3872a86df69d4 SHA256 97cde97276dcc3f7fc52d379c9eb7f9ccbd48e7f6fff5c4217325300ea1c0304
diff --git a/dev-libs/DirectFB-extra/files/DirectFB-extra-1.0.0-CFLAGS.patch b/dev-libs/DirectFB-extra/files/DirectFB-extra-1.0.0-CFLAGS.patch
new file mode 100644
index 0000000..513fb95
--- /dev/null
+++ b/dev-libs/DirectFB-extra/files/DirectFB-extra-1.0.0-CFLAGS.patch
@@ -0,0 +1,23 @@
+--- configure
++++ configure
+@@ -19853,7 +19853,7 @@
+ DFB_CFLAGS="$DFB_CFLAGS $DFB_INTERNAL_CFLAGS -DREENTRANT"
+
+ if test "x$GCC" = xyes; then
+- DFB_CFLAGS="$DFB_CFLAGS -O3 -fexpensive-optimizations -ffast-math -Wall"
++ DFB_CFLAGS="$DFB_CFLAGS -ffast-math -Wall"
+ fi
+
+ #
+@@ -19910,9 +19910,9 @@
+ #define DFB_DEBUG 1
+ _ACEOF
+
+- DFB_CFLAGS="$DFB_CFLAGS -g3"
++ DFB_CFLAGS="$DFB_CFLAGS"
+ else
+- DFB_CFLAGS="$DFB_CFLAGS -g0"
++ DFB_CFLAGS="$DFB_CFLAGS"
+ fi
+
+